PlainTextDictionary (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.spell.PlainTextDictionary class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spell
Class PlainTextDictionary

    java.lang.Object
      org.apache.lucene.search.spell.PlainTextDictionary

All Implemented Interfaces:
  Dictionary

    public class PlainTextDictionary

extends Object
implements Dictionary

Dictionary represented by a text file.

Format allowed: 1 word per line:
word1
word2
word3

Constructor Summary
`PlainTextDictionary(File file)`
`PlainTextDictionary(InputStream dictFile)`
`PlainTextDictionary(Reader reader)` Creates a dictionary based on a reader.

Method Summary
`org.apache.lucene.util.BytesRefIterator` | `getWordsIterator()` Return all words present in the dictionary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainTextDictionary

    public PlainTextDictionary(File file)
                        throws FileNotFoundException

Throws:
  `FileNotFoundException`

### PlainTextDictionary

    public PlainTextDictionary(InputStream dictFile)

### PlainTextDictionary

    public PlainTextDictionary(Reader reader)

  Creates a dictionary based on a reader.

Method Detail

### getWordsIterator

    public org.apache.lucene.util.BytesRefIterator getWordsIterator()
                                                             throws IOException

  Description copied from interface: `Dictionary`
  Return all words present in the dictionary

  Specified by:
    `getWordsIterator` in interface `Dictionary`
  Returns:
    Iterator
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD